# IgnoreTrait

import slogan.traits

# Trait that never stores any data, a special case for ignoring uninteresting
# log entries. Slogan detects from the null size field that no data is stored,
# and does not allow searches on IgnoreTrait.

class Trait(slogan.traits.Trait):
  identity= 'ignore'
  size= []
  priority= -10
  def read(self, logpart):
    return []
